Subject: Need e-mail address for anyone at BPI (herbarium at Beltsville)

From: [email-masked] (Dennis Wilson)
Date: 5 Apr 1996 07:43:10 -0800

Anyone out there at the National Herbarium at Beltsville or have an e-mail
address for them.  I need to know their guide lines for depositing the holotype
of a new species.
 
Thanks
Dennis